[RISOLTO]Repository slacky in swaret

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
JohnnyMnemonic
Staff
Staff
Messaggi: 2733
Iscritto il: dom 5 set 2004, 0:00
Nome Cognome: Giuseppe Palmiotto
Slackware: 14.0
Kernel: 3.5.5-thanatos
Località: Bologna
Contatta:

Re: Repository slacky in swaret

Messaggio da JohnnyMnemonic »

Offtopic: DLIN-DLON Topic spostato in Slackware64 DLON-DLIN

Dani
Linux 4.x
Linux 4.x
Messaggi: 1447
Iscritto il: mer 26 apr 2006, 1:52
Desktop: gnome
Distribuzione: arch

Re: Repository slacky in swaret

Messaggio da Dani »

shock ha scritto:ops! scusate non mi ero proprio reso conto di aver sbagliato sezione.
Scrivo sempre in quella a 64...mi sono imbrogliato :lol:

Comunque come devo fare se è a 64 bit? il programma è diverso?
Dovrebbe bastare la ricompilazione:

Codice: Seleziona tutto

$ wget http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-13.0/utilities/slackyd/0.1.13.3beta/src/slackyd-0.1.13.3beta.tar
$ tar xvf slackyd-0.1.13.3beta.tar
$ cd slackyd-0.1.13.3beta
$ make
# make install
poi apri /etc/slackyd/slackyd.conf e setti "slackware64 = yes" (di default è no).
Non ho mai testato il programma su slackware64 ma credo che funzionerà senza problemi.
Fammi sapere :)

Avatar utente
shock
Linux 2.x
Linux 2.x
Messaggi: 359
Iscritto il: mer 28 ott 2009, 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Repository slacky in swaret

Messaggio da shock »

Grazie, adesso funziona alla perfezione.

Avatar utente
shock
Linux 2.x
Linux 2.x
Messaggi: 359
Iscritto il: mer 28 ott 2009, 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Repository slacky in swaret

Messaggio da shock »

Scusate ma perche mi da errore?E poi dove si trova questo paccheto flash player 10 cosi lo elimino?

Codice: Seleziona tutto

root@shock:~# slackyd -h
Usage: slackyd <options> <package>             

Options:                                             
 -5: Skip md5 verify.                                
 -b: Try to download package build sources.          
 -B: Try to build package from sources.              
 -c: Use alternate config file.                      
 -d: Search missing shared libraries of installed packages.
 -D: Search missing required packages (packager-indicated).
 -e: Use regex.                                            
 -f: Force update or packages download. Assume yes to all question.
 -g: Download package.                                             
 -h: Show this help.                                               
 -I: Skip packages status check.                                   
 -l: List all packages installed.                                  
 -L: List all non-slackware packages installed.                    
 -m: Case insensitive.                                             
 -n: Only notify broken dependencies.                              
 -O: List all orphan packages.                                     
 -p: Clean slackyd directory (only packages and sources).          
 -P: Clean slackyd directory (all).                                
 -q: Quiet, disable some warnings.                                 
 -r: Search not official replaceable packages.                     
 -R: Show repositories statistics.                                 
 -s: Search package.                                               
 -S: Skip dependencies check.                                      
 -u: Update packages list and md5 hash list.                       
 -U: Search new packages.
 -v: Verbose mode.
 -V: Show slackyd info.
 -w: View package info.
 -x: Disable blacklist.
 -X: Show packages available and blacklisted.
root@shock:~# slackyd -U

Warning: package `install_flash_player_10_linux' isn't standard. Skipping.
Warning: missing file `/var/slackyd/slackware/FILELIST.TXT'
Warning: missing file `/var/slackyd/slackware/CHECKSUMS.md5'
Warning: missing file `/var/slackyd/slackware/patches/PACKAGES.TXT'
Warning: missing file `/var/slackyd/slackware/patches/MANIFEST'
Warning: missing file `/var/slackyd/slackware/PACKAGES.TXT'
Warning: missing file `/var/slackyd/slackware/MANIFEST'
Warning: missing file `/var/slackyd/slackware/extra/PACKAGES.TXT'
Warning: missing file `/var/slackyd/slackware/extra/MANIFEST'
Warning: missing file `/var/slackyd/slacky/FILELIST.TXT'
Warning: missing file `/var/slackyd/slacky/CHECKSUMS.md5'
Warning: missing file `/var/slackyd/slacky/PACKAGES.TXT'
Warning: missing file `/var/slackyd/slacky/MANIFEST'

Error, you need to update packages list.
Run `slackyd -u' or `slackyd -f -u' to force.
Perche invece mi succede questo se inserisco slackyd -u?Perche mi da alcuni errori?

Codice: Seleziona tutto

root@shock:~# slackyd -u

Warning: package `install_flash_player_10_linux' isn't standard. Skipping.
Repository: slackware [ftp.nluug.nl]
`- Downloading FILELIST.TXT [100 % @ 29.0 KB/s]
`- Downloading CHECKSUMS.md5 [100 % @ 31.8 KB/s]
`- Downloading PACKAGES.TXT [100 % @ 69.3 KB/s]
`- Downloading MANIFEST.bz2 [File not found]

Warning: cannot retreive all file (3/8). Trying next: found

Repository: slackware [sunsite.cnlab-switch.ch]
`- Downloading FILELIST.TXT [Already update]
Repository: slacky [darkstar.ist.utl.pt]
`- Downloading FILELIST.TXT [100 % @ 67.6 KB/s]
`- Downloading PACKAGES.TXT [100 % @ 69.5 KB/s]
`- Downloading CHECKSUMS.md5 [99 % @ 73.3 KB/s]
`- Downloading MANIFEST.bz2 [100 % @ 65.0 KB/s]
>> Uncompressing MANIFEST.bz2: done.

Grazie in anticipo.

Ciao.

Dani
Linux 4.x
Linux 4.x
Messaggi: 1447
Iscritto il: mer 26 apr 2006, 1:52
Desktop: gnome
Distribuzione: arch

Re: Repository slacky in swaret

Messaggio da Dani »

Il primo messaggio non è un errore ma solo un avviso, in pratica hai installato un pacchetto "install_flash_player_10_linux" che non è standard. Un pacchetto normale è composto da <nome>-<versione>-<architettura>-<build>.txz.
Il secondo problema è dovuto al fatto che hai abilitato l'opzione slackware64 ma stai usando i repository predefiniti e cioè per slackware32.
Quindi devi aprire /etc/slackyd/slackyd.conf, rimuovere tutti i repository ed aggiungere quelli per slackware64:

Codice: Seleziona tutto

repository = ftp://ftp.nluug.nl/pub/os/Linux/distr/slackware/slackware64-13.0/

Avatar utente
shock
Linux 2.x
Linux 2.x
Messaggi: 359
Iscritto il: mer 28 ott 2009, 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Repository slacky in swaret

Messaggio da shock »

Adesso il file risulta cosi :

Codice: Seleziona tutto

#
# Slacky Downloader Config File.
#
# Case insensitive.
# Comment: '#' or '!'
#

#
# Slackyd cache
#
cache = /var/slackyd

#
# Connection timeout, in seconds.
# Set to 0 for use Linux default value (very long). 
#
timeout = 15

#
# Upgrade slackware packages with unofficial packages.
#
upgrade_replacing_official = yes

#
# Using Slackware64 official mirror
#
slackware64 = yes

#
# Download with wget (proxy workaround)
#
wget = no

#
# Repository syntax:
#
# KEYWORD NAME ADDRESS
#
# - "KEYWORD" Must always be "REPOSITORY" and must always be at start of line ! 
#
# - "NAME"    Is a string (only characters, numbers, underscores or '-') to identify repository. 
#             If not specified slackyd consider repository as official slackware mirror.
#             In this case only first of the list will be used, if don't work slackyd try with second etc...
#
# - "ADDRESS" Is repository.
#
# - Only FILE/HTTP/FTP protocols are implemented yet.
#

# Slackware repositories:

# To use a directory as slackware mirror:
!repository = file://your/mirror/
# To use a directory as extra mirror:
!repository mirrorname = file://your/mirror/

# Official mirror is too slow...
!repository ftp://ftp.slackware.com/pub/slackware/slackware-13.0/

repository = ftp://ftp.nluug.nl/pub/os/Linux/distr/slackware/slackware64-13.0/


#Extra repositories:
# Slacky.eu
repository slacky = http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-13.0/
# GSlacky
!repository gslacky http://darkstar.ist.utl.pt/slackware/addon/slacky/gnome-slacky-13.0/

# Blacklist syntax:
#
# blacklist package1 package2 package3 ...
#
# `blacklist' keyword must be at start of line.
#  Packages can be tab, white space or comma separated.
#
# Examples:
# 1) Blacklist all packages 'xine-lib':
# blacklist ^xine-lib-.*
# 2) Blacklist _exactly_ package xine-lib
# blacklist ^xine-lib-[^-]+-[^-]+-[^-]
# 3) Blacklist xine-lib-1, xine-lib-2 and xine-lib3:
# blacklist ^xine-lib-[123]
# 4) Blacklist firefox 3 and all kernel smp:
# blacklist ^mozilla-firefox-en-us-3 ^kernel-.*_smp
#
# Use -x option to disable blacklist on run-time, and -X option to see
# all packages blacklisted.
#
E' giusto??? Oppure devo toglier anche le seguenti righe?

Codice: Seleziona tutto

# To use a directory as slackware mirror:
!repository = file://your/mirror/
# To use a directory as extra mirror:
!repository mirrorname = file://your/mirror/

# Official mirror is too slow...
!repository ftp://ftp.slackware.com/pub/slackware/slackware-13.0/
Questo è l'output che mi restituisce...

Codice: Seleziona tutto

root@shock:~# slackyd -u

Warning: package `install_flash_player_10_linux' isn't standard. Skipping.
*** Warning: Broken packages list, 5 files are missing.
*** Try to force update or fix your slackyd.conf.

Repository: slackware [ftp.nluug.nl]
`- Downloading FILELIST.TXT [99 % @ 75.2 KB/s]
`- Downloading CHECKSUMS.md5 [100 % @ 47.4 KB/s]
`- Downloading PACKAGES.TXT [100 % @ 37.5 KB/s]
`- Downloading MANIFEST.bz2 [100 % @ 61.3 KB/s]
>> Uncompressing MANIFEST.bz2: done.
`- Downloading patches PACKAGES.TXT [101 % @ 14.5 KB/s]
`- Downloading patches MANIFEST.bz2 [100 % @ 58.6 KB/s]
>> Uncompressing patches MANIFEST.bz2: done.
`- Downloading extra PACKAGES.TXT [100 % @ 49.0 KB/s]
`- Downloading extra MANIFEST.bz2 [100 % @ 35.6 KB/s]
>> Uncompressing extra MANIFEST.bz2: done.
Repository: slacky [darkstar.ist.utl.pt]
`- Downloading FILELIST.TXT [Already update]

Grazie in anticipo.

Ciao.

Dani
Linux 4.x
Linux 4.x
Messaggi: 1447
Iscritto il: mer 26 apr 2006, 1:52
Desktop: gnome
Distribuzione: arch

Re: Repository slacky in swaret

Messaggio da Dani »

Le righe che iniziano per "!" o "#" è come se non esistessero, se vuoi puoi anche eliminarle.
Dal file di configurazione dovresti togliere i repository di slacky perchè contengono pacchetti compilati su slackware32 bit, usandoli su slackware64 avresti sicuramente problemi !

Avatar utente
shock
Linux 2.x
Linux 2.x
Messaggi: 359
Iscritto il: mer 28 ott 2009, 18:47
Nome Cognome: Ivan
Slackware: 13.1 x86_64
Kernel: 2.6.33.4-huge-smp
Desktop: KDE 4.4.3

Re: Repository slacky in swaret

Messaggio da shock »

Ora funziona, guardate pero l'ultima stringa, cosa vuol dire?

Codice: Seleziona tutto

root@shock:~# slackyd -u

Warning: package `install_flash_player_10_linux' isn't standard. Skipping.
Repository: slackware [ftp.nluug.nl]
`- Downloading FILELIST.TXT [100 % @ 37.7 KB/s]
`- Downloading CHECKSUMS.md5 [100 % @ 12.5 KB/s]
`- Downloading PACKAGES.TXT [100 % @ 7.8 KB/s]    [[B^[[C^[[B^[[DD^[[D
`- Downloading MANIFEST.bz2 [100 % @ 12.9 KB/s]
>> Uncompressing MANIFEST.bz2: done.
`- Downloading patches PACKAGES.TXT [Cannot resolve host]

Warning: cannot retreive all file (4/8). Trying next: nothing


root@shock:~#
e poi, posso aggungere i repository slacky a slackyd pero a 64 bit?

Dani
Linux 4.x
Linux 4.x
Messaggi: 1447
Iscritto il: mer 26 apr 2006, 1:52
Desktop: gnome
Distribuzione: arch

Re: Repository slacky in swaret

Messaggio da Dani »

shock ha scritto:Ora funziona, guardate pero l'ultima stringa, cosa vuol dire?
Vuol dire che non è stato possibile scaricare un file (patches/packages.txt). Forse avevi problemi di linea in quel momento
e poi, posso aggungere i repository slacky a slackyd pero a 64 bit?
Non esiste un repository slacky a 64bit

Avatar utente
lablinux
Linux 4.x
Linux 4.x
Messaggi: 1141
Iscritto il: gio 27 nov 2008, 12:23
Desktop: Gnome
Distribuzione: Debian testing
Località: Rho

Re: Repository slacky in swaret

Messaggio da lablinux »

Dani ha scritto:
shock ha scritto:Ora funziona, guardate pero l'ultima stringa, cosa vuol dire?
Vuol dire che non è stato possibile scaricare un file (patches/packages.txt). Forse avevi problemi di linea in quel momento
e poi, posso aggungere i repository slacky a slackyd pero a 64 bit?
Non esiste un repository slacky a 64bit
Questo significa che si possono usare "solo" i pacchetti originali della slackware64? E' una grossa limitazione e un vero peccato.
Non c'è la possibilità di scaricare il sorgente e creare il pacchetto al volo?

Dani
Linux 4.x
Linux 4.x
Messaggi: 1447
Iscritto il: mer 26 apr 2006, 1:52
Desktop: gnome
Distribuzione: arch

Re: Repository slacky in swaret

Messaggio da Dani »

lablinux ha scritto: Questo significa che si possono usare "solo" i pacchetti originali della slackware64?
No !
Non c'è la possibilità di scaricare il sorgente e creare il pacchetto al volo?
Si questa possibilità c'è ma non puo' essere considerata sempre affidabile perchè non esiste uno straccio di standard nè nell'organizzazione dei repository, nè nella creazione degli slackbuild o nella segnalazione delle dipendenze.
In pratica c'è il rischio di ritrovarsi un pacchetto vuoto senza accorgersi che si è verificato un errore :(.

Rispondi